Bug 1411854 - Tomboy crash with System.NullReferenceException in Tomboy.Sync.FuseSyncServiceAddin.PostSyncCleanup
Summary: Tomboy crash with System.NullReferenceException in Tomboy.Sync.FuseSyncServic...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tomboy
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 16:06 UTC by Sam Tygier
Modified: 2018-11-30 18:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:46:26 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github tomboy-notes tomboy issues 83 None None None 2017-12-14 11:56:55 UTC

Description Sam Tygier 2017-01-10 16:06:03 UTC
Description of problem:
Tomboy crashes:
Unhandled Exception:
System.NullReferenceException: Object reference not set to an instance of an object
  at Tomboy.Sync.FuseSyncServiceAddin.PostSyncCleanup () <0x40e780d0 + 0x00017> in <filename unknown>:0 
  at Tomboy.Sync.SyncManager.BackgroundSyncChecker () <0x40e766f0 + 0x001e6> in <filename unknown>:0 
  at Tomboy.Sync.SyncManager.<UpdateSyncAction>m__4 (System.Object o) <0x40e76440 + 0x0000b> in <filename unknown>:0 
  at System.Threading.Timer+Scheduler.TimerCB (System.Object o) <0x40e76220 + 0x001ba> in <filename unknown>:0 
  at System.Threading.QueueUserWorkItemCallback.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem () <0x40e76070 + 0x0002f> in <filename unknown>:0 
  at System.Threading.ThreadPoolWorkQueue.Dispatch () <0x40e74e70 + 0x001f8> in <filename unknown>:0 
  at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback () <0x40e74d80 + 0x0000b> in <filename unknown>:0

I think this is when it runs the auto sync over ssh (but without fuse-sshfs installed). If I do a manual sync I get:
[ERROR 16:03:15.768] Exception while creating SyncServer: Object reference not set to an instance of an object
  at Tomboy.Sync.FuseSyncServiceAddin.CreateSyncServer () <0x40b5ebd0 + 0x00012> in <filename unknown>:0 
  at Tomboy.Sync.SyncManager.SynchronizationThread () <0x40b5c650 + 0x00220> in <filename unknown>:0 
[ERROR 16:03:15.769] Synchronization failed with the following exception: Object reference not set to an instance of an object
  at Tomboy.Sync.FuseSyncServiceAddin.PostSyncCleanup () <0x40b601c0 + 0x00017> in <filename unknown>:0 
  at Tomboy.Sync.SyncManager.SynchronizationThread () <0x40b5c650 + 0x003c3> in <filename unknown>:0 
[ERROR 16:03:15.769] Error cleaning up addin after sync: Object reference not set to an instance of an object
  at Tomboy.Sync.FuseSyncServiceAddin.PostSyncCleanup () <0x40b601c0 + 0x00017> in <filename unknown>:0 
  at Tomboy.Sync.SyncManager.SynchronizationThread () <0x40b5c650 + 0x01dcd> in <filename unknown>:0 


Version-Release number of selected component (if applicable):
tomboy-1.15.6-1.fc25.x86_64

How reproducible:
I think every time it trys to sync

Steps to Reproduce:
1. Install tomboy, but not sshfs
2. Set up a sync to an ssh server (I had this set from a previous install)
3. Wait for auto sync

Comment 1 Fedora End Of Life 2017-11-16 19:15:05 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:09:01 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Sam Tygier 2017-12-14 11:48:38 UTC
I can still reproduce in F27.

Unhandled Exception:
System.NullReferenceException: Object reference not set to an instance of an object
  at Tomboy.Sync.FuseSyncServiceAddin.PostSyncCleanup () [0x00001] in <e9b7244e2afe4ca6b53858505fa3d1ce>:0 
  at Tomboy.Sync.SyncManager.BackgroundSyncChecker () [0x00076] in <e9b7244e2afe4ca6b53858505fa3d1ce>:0 
  at Tomboy.Sync.SyncManager.<UpdateSyncAction>m__4 (System.Object o) [0x00000] in <e9b7244e2afe4ca6b53858505fa3d1ce>:0 
  at System.Threading.Timer+Scheduler.TimerCB (System.Object o) [0x00007] in <373b6e083d6e45e498c9082a8eebd27f>:0 
  at System.Threading.QueueUserWorkItemCallback.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem () [0x00019] in <373b6e083d6e45e498c9082a8eebd27f>:0 
  at System.Threading.ThreadPoolWorkQueue.Dispatch () [0x00096] in <373b6e083d6e45e498c9082a8eebd27f>:0 
  at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback () [0x00000] in <373b6e083d6e45e498c9082a8eebd27f>:0 
[ERROR] FATAL UNHANDLED EXCEPTION: System.NullReferenceException: Object reference not set to an instance of an object
  at Tomboy.Sync.FuseSyncServiceAddin.PostSyncCleanup () [0x00001] in <e9b7244e2afe4ca6b53858505fa3d1ce>:0 
  at Tomboy.Sync.SyncManager.BackgroundSyncChecker () [0x00076] in <e9b7244e2afe4ca6b53858505fa3d1ce>:0 
  at Tomboy.Sync.SyncManager.<UpdateSyncAction>m__4 (System.Object o) [0x00000] in <e9b7244e2afe4ca6b53858505fa3d1ce>:0 
  at System.Threading.Timer+Scheduler.TimerCB (System.Object o) [0x00007] in <373b6e083d6e45e498c9082a8eebd27f>:0 
  at System.Threading.QueueUserWorkItemCallback.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem () [0x00019] in <373b6e083d6e45e498c9082a8eebd27f>:0 
  at System.Threading.ThreadPoolWorkQueue.Dispatch () [0x00096] in <373b6e083d6e45e498c9082a8eebd27f>:0 
  at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback () [0x00000] in <373b6e083d6e45e498c9082a8eebd27f>:0

Comment 4 Ben Cotton 2018-11-27 17:48:47 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 18:46:26 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.